应收报告 - 列表查询
POST
/bd/sp/api/open/monthly/receivable/report/list接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/bd/sp/api/open/monthly/receivable/report/list | HTTPS | POST | 1 |
请求参数
sidsarray<any>midsarray<any>currencyCodestringarchiveStatusintegersettleMonthstring必填sortFieldstringsortTypestringreceivedStateintegeroffsetintegerlengthinteger请求示例
{
"sids": [109,123],
"mids": [1],
"currencyCode": "US",
"archiveStatus": "0",
"settleMonth": "2023-01",
"sortField": "beginningBalanceCurrencyAmount",
"sortType": "desc",
"receivedState": 1,
"offset": 0,
"length": 20
}
返回结果
codeinteger必填messagestring必填request_idstring必填response_timestring必填dataarray<object>必填隐藏子属性
storeNamestring必填sidinteger必填countrystring必填countryCodestring必填settlementDatestring必填archiveStatusinteger必填archiveStatusNamestring必填currencyCodestring必填currencyIconstring必填beginningBalanceCurrencyAmountnumber必填incomeAmountnumber必填refundAmountnumber必填spendAmountnumber必填othernumber必填cardnumber必填otherItemnumber必填convertedSuccessAmountnumber必填convertedFailedAmountnumber必填receivedAmountnumber必填endingBalancenumber必填remarkstring返回成功示例
{
"code": 0,
"data": [
{
"storeName": "8P-US-2024",
"sid": 109,
"country": "美国",
"countryCode": "US",
"settlementDate": "2023-01",
"archiveStatus": 0,
"archiveStatusName": "未对账",
"currencyCode": "USD",
"currencyIcon": "$",
"beginningBalanceCurrencyAmount": -39.99,
"incomeAmount": 0,
"refundAmount": 0,
"spendAmount": -41.47,
"other": 40.03,
"card": 40.03,
"otherItem": 0,
"convertedSuccessAmount": 0,
"convertedFailedAmount": 0,
"receivedAmount": 0,
"endingBalance": -41.43,
"remark": null
}
],
"response_time": "2024-04-03 11:11:43",
"total": 9,
"error_details": [],
"message": "操作成功",
"request_id": "eca49f3b-0b81-4cbc-a08c-de6e11420190.1712113903371"
}